Bug 196234 - [patch] comms/gqrx: Add option to build using QT4
Summary: [patch] comms/gqrx: Add option to build using QT4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-23 18:57 UTC by Kevin Zheng
Modified: 2014-12-31 13:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (martymac)


Attachments
Patch to add QT4 and QT5 options (517 bytes, patch)
2014-12-23 18:57 UTC, Kevin Zheng
no flags Details | Diff
Poudriere build log (221.33 KB, text/x-log)
2014-12-27 19:22 UTC, Kevin Zheng
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2014-12-23 18:57:00 UTC
Created attachment 150917 [details]
Patch to add QT4 and QT5 options

comms/gqrx can use either QT4 or QT5, and since most ports in the tree use QT4, using QT5 introduces a lot of dependency bloat. Add an option to allow users to pick whether to use QT4 or QT5. No PORTREVISION bump because QT5 is default.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-23 18:57:00 UTC
Auto-assigned to maintainer martymac@FreeBSD.org
Comment 2 Kevin Zheng 2014-12-27 19:22:11 UTC
Created attachment 151000 [details]
Poudriere build log

This port builds and runs correctly using the new QT4 option.
Comment 3 commit-hook freebsd_committer 2014-12-31 13:45:06 UTC
A commit references this bug:

Author: martymac
Date: Wed Dec 31 13:44:40 UTC 2014
New revision: 375884
URL: https://svnweb.freebsd.org/changeset/ports/375884

Log:
  Add support for building with QT4 (but still use QT5 by default)

  PR:		196234
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com>

Changes:
  head/comms/gqrx/Makefile
Comment 4 Ganael LAPLANCHE freebsd_committer 2014-12-31 13:45:41 UTC
Committed, thanks!